﻿using System;

using Composite.Units;
using Composite.FactionInfo;
using Composite.FactionInfo.GDI;

namespace Composite.Buildings.GDI
{
    public class Barracks : InfantryFactory, IBuilding
    {
        public Barracks()
        {
            ConsumesPower = true;
        }

        protected override GameUnit CreateUnit(UnitType type)
        {
            // Create faction factory
            FactionDetailsFactory gdiFactory = new GdiDetails();

            switch (type)
            {
                case UnitType.Soldier: return new Soldier(gdiFactory);
                case UnitType.Engineer: return new Engineer(gdiFactory);
                case UnitType.EliteUnit: return new EliteUnit(gdiFactory);
                default: return null;
            }
        }

        public string Description
        {
            get { return "Barracks"; }
        }

        public int Power
        {
            get { return 10; }
        }

        public bool ConsumesPower { get; set; }
    }
}
