﻿using System;

namespace Composite.CommandCenter
{
    public class TacticalComponent
    {
        #region Composite Pieces
        private int _level = 0;

        public virtual int Level
        {
            get { return _level; }
            set { _level = value; }
        }

        public virtual TacticalComponent this[int i]
        {
            get { throw new NotSupportedException(); }
        }

        public virtual void Add(TacticalComponent tacticalComponent)
        {
            throw new NotSupportedException();
        }

        public virtual void Remove(TacticalComponent tacticalComponent)
        {
            throw new NotSupportedException();
        }
        #endregion

        #region Operation Pieces
        public virtual string Name
        {
            get { throw new NotSupportedException(); }
        }

        public virtual string Description
        {
            get { throw new NotSupportedException(); }
        }

        public virtual void Print()
        {
            throw new NotSupportedException();
        }
        #endregion
    }
}
